/**
 *
 * <p>Titulo: Servidor de respuestas a preguntas</p>
 * <p>Descripcion: Este programa permite desplegar los dispositivos encontrados en pantalla.
 * </p>
 * @author Diego Gonzalez Barrientos
 * @version 1.0
 */
//Paquetes requeridos por el programa
import javax.microedition.lcdui.*;
import javax.bluetooth.*;
/**Clase que muestra los dispositivos remotos encontrados
*/
class DispositivoRemotoUI extends List
{
/**Metodo constructor de la clase
*/
  public DispositivoRemotoUI()
  {
    super("Dispositivos Bluetooth", List.IMPLICIT);
    addCommand( new Command( "Seleccionar", Command.SCREEN, 1 ) );
    addCommand( new Command( "Buscar", Command.SCREEN, 2 ) );
	 addCommand( new Command( "Salir", Command.SCREEN, 2 ) );
    addCommand( AdministradorBluetooth.BACK );
    setCommandListener( AdministradorBluetooth.instance );
  }

  /**
   *Muestra un mensaje en la pantalla.
   * @param str String
   */
  public void setMsg( String str )
  {
    super.deleteAll();
    append( str, null );

  }
  /**
   * Actualiza la lista con los dispositivos Bluetooth
   */
  public void showui()
  {
    super.deleteAll();
    if (AdministradorBluetooth.devices.size() > 0)
    {
      for (int i = 0; i < AdministradorBluetooth.devices.size(); i++)
      {
        try
        {
          RemoteDevice device = (RemoteDevice) AdministradorBluetooth.devices.elementAt(i);
          String name = device.getFriendlyName(false);
          append(name, null);
        } catch (Exception e)
        {
          e.printStackTrace();
        }
      }
    } else
    {
      append("[No se ha encontrado dispositivo]", null);
    }
  }

}
